"""Implementation of XBAparameter class.

Peter Schubert, HHU Duesseldorf, May 2022
"""


class XbaParameter:

    def __init__(self, s_parameter):
        self.id = s_parameter.name
        self.name = s_parameter.get('name', '')
        self.sboterm = s_parameter.get('sboterm', '')
        self.value = s_parameter['value']
        self.constant = s_parameter['constant']
        self.units = s_parameter['units']
